Bug 1127926 - warning in rhq-storage-wrapper.log
Summary: warning in rhq-storage-wrapper.log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer
Version: JON 3.3.0
Hardware: x86_64
OS: Windows
unspecified
low
Target Milestone: ER03
: JON 3.3.0
Assignee: Jay Shaughnessy
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 21:19 UTC by Viet Nguyen
Modified: 2015-09-03 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:03:25 UTC
Type: Bug


Attachments (Terms of Use)
storage node wrapper log (2.16 KB, text/plain)
2014-08-07 21:19 UTC, Viet Nguyen
no flags Details

Description Viet Nguyen 2014-08-07 21:19:45 UTC
Created attachment 925019 [details]
storage node wrapper log

Description of problem:
Warning in storage-node-wrapper.log. Doesn't seem to affect installation.

rhqctl install --server --storage

#rhq-storage-node.log

WARN   | wrapper  | 2014/08/06 17:14:25 | The value of property 'PƖ', '"%heap_dump_dir%"' is not a valid argument to the jvm.  Skipping.


Version-Release number of selected component (if applicable):
3.3 DR1
Windows 2008 64bit
JRE1.7 64bit

How reproducible:
100%

Comment 1 Jay Shaughnessy 2014-09-03 18:37:31 UTC
Master commit 7e3b0f5903a2c83cb7fc82e04af263adbcba6df0
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Sep 3 13:50:37 2014 -0400

    Fix the heap dump dir support for the storage service. This is a Windows
    only fix.  Note that this fix only executes at storage install time
    or at resource config update.  For existing windows storage nodes the
    resource config property for the heap dump dir must be updated
    to a *new* value.  To maintain the existing directory, change it and then
    change it back.



Release/jon3.3.x commit 7599493772e7f4de1e93dc73af43fb4671995daa
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Sep 3 13:50:37 2014 -0400

    (cherry picked from commit 7e3b0f5903a2c83cb7fc82e04af263adbcba6df0)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 2 Jay Shaughnessy 2014-09-03 18:42:26 UTC
Note, there is a manual workaround to this issue for an existing install.  Instead of using the Resource Configuration update approach indicated in the
commit notes a user can:

1) Edit rhq-server\bin\wrapper\rhq-storage-wrapper.env

2)

Change:

  set.heap_dump_dir=

To:

  set.heap_dump_dir=-XX:HeapDumpPath=<InstallDir>/rhq-server/rhq-storage/bin

-- note: use forward-slashes despite it being Windows
-- note: that is the standard default directory, you can use any absolute path
         you want.


3) Restart the storage service.

Comment 3 Simeon Pinder 2014-09-17 02:49:36 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 4 Jan Bednarik 2014-09-18 15:03:17 UTC
Moving to VERIFIED.

After finishing the installation (rhqctl.bat install --server --storage) no WARN message is present in rhq-storage-wrapper.log.

Windows Server 2008 x64
Version:3.3.0.ER03
Build Number:4aefe39:44e33a4


Note You need to log in before you can comment on or make changes to this bug.